Забыли пароль?
Запросите новый здесь.

Автор темы: Zaxap
ID темы: 2628
Информация:
Тема содержит 4 сообщения, была просмотрена 3845 раз.
Просмотр темы
PHP-Fusion Russia » Разное » Разное
 Распечатать тему
[посоветуйте] Framework (PHP)
Zaxap
Здтавствуйте. И снова я подался выбирать фреймворк для какого-нибудь спонтанного детища вроде блога...

Оффтопик Итак, Python оставим для грядущего.
Изначально в идеале хотел использовать Laravel, но когда пришло дело начинать, увидел на Toster'е ("Хаброветка") коммент о том, что данный Фреймворк вешал сервер. Дальше, конечно же, подался на поиски "самого быстрого" фреймворка - наткнулся на это.

Отсюда вывод:
Phalcon - самый быстрый, ведь он на C (Си), следовательно, как понял, на простопхпхостинг его не воткнуть.
Slim - быстрый, пожалуй (судя по "таблице").
Laravel - приятен, но, в сравнении с тем же Slim, уступает, значительно уступает...


А теперь к черту все. Посоветуйте быстрый и добротный php-framework)))
P.S. Yii как-то не полюбился с первого скачивания: весит он over 100Mb (возможно, даже over 200)... хотя, возможно, это норма)
Изменил(а) Zaxap, 31.12.2015 03:21
Зло не дремлет, а я добрый...
 
Rush
Laravel или для особо тяжелых случаев symfony. Третьего не дано.
А Slim нужно сравнивать с lumen раз на то пошло
 
Web
Razor
Все фреймворки хороши по своему, смотря для каких целей, мы на работе используем Yii, Laravel, Phalcon и ещё пару тройку самописных..
Конечно же я лично отдаю предпочтение laravel.. Но сказать что какой-то из них плох, я не могу, все хороши по своему и представляют из себя отличные инструменты, а как уже ты будешь их использовать - это другой вопрос.
Sr. Software developer
plesk.com
 
Zaxap
Laravel - это очень хоошая штука, как оказалось... довольно понятно даже мне, пишется удобно, ищется - тоже. Имеются свои непонятки, но это больше дело привычки, ибо фьюжик работает немного иначе.
Смущают "высокие" требования к версии php. На Новогодних праздниках поставил OpenServer, включил PHP 5.6, все было нормально. Сейчас, пересев на свой старенький ноутбук с XP, на котором не запустятся версии выше 5.4 без всяких последующих "колдунств", понял, что Laravel с каждой последующей версией обрубает поддержку предыдущих версий PHP. Как быть? Если ставить данное на хостинг (пусть даже бесплатный), тут также возникнет проблема с версией php, ибо далеко на каждый хостинг (тем более, бесплатный) поддерживает последнюю версию php. Возможно, я не прав по поводу хостингов, но мой ноутбук точно поддерживать версии php выше 5.4 немного отказывается (пусть будет тот же XAMPP, Denver - все одно).
Как быть? Может, есть альтернатива Laravel "для ремесленника" или еще что... Фреймворк очень понравился.
---
К слову, как вам PHPixie?
Оффтопик В свое время очень привлек данный Framework своей, на первый взгляд, простотой, также читал про него на хабре немного... но, пожалуй, был тогда не готов (как минимум, морально) переходить с cms на подобные вещи (тогда у них и сайт был немного другой, более веселенький (хотя сайт и сейчас умиляет)).

Зло не дремлет, а я добрый...
 

Поделиться этой темой
Социальные закладки: Vkontakte Odnoklassniki Mail.ru Facebook Google Tweet This
URL:
BBcode:
HTML:

Перейти на форум:
Похожие темы
Топ 5 пользователей форума
Alex Alex (1,209)   Zaxap Zaxap (1,089)   Vova Vova (877)   Pisatel Pisatel (678)   util util (666)